package com.sc.api.service.impl;

import com.netflix.hystrix.contrib.javanica.annotation.HystrixCommand;
import com.netflix.ribbon.proxy.annotation.Hystrix;
import com.sc.api.entity.UserEntity;
import com.sc.api.feign.MemberServiceFeign;
import com.sc.api.service.IOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("订单服务")
@RestController
public class OrderServiceImpl  implements IOrderService {

    @Autowired
    private MemberServiceFeign memberServiceFeign;

    @HystrixCommand(fallbackMethod = "hiError")
    @RequestMapping("/orderToMember")
    public String orderToMember(String name) {
        UserEntity userEntity=memberServiceFeign.getMember(name);

        return userEntity==null?"没找到用户信息":userEntity.toString();
    }

    public String hiError(String name) {
        return "hi, "+name+",sorry,error!";
    }

    /*
      Hystrix第二种写法
     */
    @ApiOperation("订单服务接口")
    @RequestMapping("/orderToMember2")
    public String orderToMember2(String name) {
        UserEntity userEntity=memberServiceFeign.getMember(name);

        return userEntity==null?"没找到用户信息":userEntity.toString();
    }

}
