package com.sg.demo;

import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;
import springfox.documentation.swagger.web.SwaggerResource;
import springfox.documentation.swagger.web.SwaggerResourcesProvider;

import java.util.ArrayList;
import java.util.List;

// 添加文档来源
@Component
@Primary
class DocumentationConfig implements SwaggerResourcesProvider {
    public List<SwaggerResource> get() {
        List resources = new ArrayList<Object>();
        //app-itmayiedu-order
        resources.add(swaggerResource("member", "/member/v2/api-docs", "2.0")); // 第一个参数可以随便写 第二个参考yml对应
        resources.add(swaggerResource("order", "/order/v2/api-docs", "2.0"));
        return resources;
    }

    private SwaggerResource swaggerResource(String name, String location, String version) {
        SwaggerResource swaggerResource = new SwaggerResource();
        swaggerResource.setName(name);
        swaggerResource.setLocation(location);
        swaggerResource.setSwaggerVersion(version);
        return swaggerResource;
    }
}
